Skip to content
Coritan Docs

Client API: Authentication MFA

Every Client API operation tagged Authentication MFA.

View as Markdown

Base URL: https://api.coritan.com/api/v1. Paths below are complete.

To try these requests in the browser, open the interactive Client API reference.

Method Path Summary
GET /api/v1/auth/mfa User MFA status
POST /api/v1/auth/mfa/disable User MFA disable
POST /api/v1/auth/mfa/enable User MFA enable
POST /api/v1/auth/mfa/recovery-codes User MFA regenerate recovery codes
POST /api/v1/auth/mfa/setup User MFA setup
POST /api/v1/auth/mfa/verify Second step of signing in

GET /api/v1/auth/mfa

Authentication: an access token, sent as Authorization: Bearer <token>.

Status Meaning
200 Success.

POST /api/v1/auth/mfa/disable

Authentication: an access token, sent as Authorization: Bearer <token>.

application/json (required)

Field Type Required
password string yes
code string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/auth/mfa/enable

Authentication: an access token, sent as Authorization: Bearer <token>.

application/json (required)

Field Type Required
code string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

User MFA regenerate recovery codes

Section titled User MFA regenerate recovery codes

POST /api/v1/auth/mfa/recovery-codes

Authentication: an access token, sent as Authorization: Bearer <token>.

application/json (required)

Field Type Required
code string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/auth/mfa/setup

Authentication: an access token, sent as Authorization: Bearer <token>.

Status Meaning
200 Success.

POST /api/v1/auth/mfa/verify

Second step of signing in. Bearer is the pending token from login.

Authentication: an access token, sent as Authorization: Bearer <token>.

application/json (required)

Field Type Required
code string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.